## ncsa.hdf.hdflib
Class HDFNBITChunkInfo

    java.lang.Object
      ncsa.hdf.hdflib.HDFChunkInfo
          ncsa.hdf.hdflib.HDFNBITChunkInfo

    public class HDFNBITChunkInfo

extends HDFChunkInfo

This class is a container for the parameters to the HDF NBIT compressed chunked class.

In this case, the information is the start bit, len, sign extension and fill.

For details of the HDF libraries, see the HDF Documentation at: http://hdf.ncsa.uiuc.edu

Field Summary
`int` `bit_len`
`int[]` `chunk_lengths`
`int` `fill_one`
`int` `sign_ext`
`int` `start_bit`

Fields inherited from class ncsa.hdf.hdflib.HDFChunkInfo
`cinfo, comp_type, ctype`

Constructor Summary
`HDFNBITChunkInfo()`
`HDFNBITChunkInfo(int[] cl, int sb, int bl, int se, int fo)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chunk_lengths

    public int[] chunk_lengths

### start_bit

    public int start_bit

### bit_len

    public int bit_len

### sign_ext

    public int sign_ext

### fill_one

    public int fill_one

Constructor Detail

### HDFNBITChunkInfo

    public HDFNBITChunkInfo()

### HDFNBITChunkInfo

    public HDFNBITChunkInfo(int[] cl,
                            int sb,
                            int bl,
                            int se,
                            int fo)